librime: rime::Service Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Static Public Member Functions | List of all members
rime::Service Class Reference

`#include <service.h>`

## Public Member Functions
| ~Service ()
void | StartService ()
void | StopService ()
SessionId | CreateSession ()
an< Session > | GetSession (SessionId session_id)
bool | DestroySession (SessionId session_id)
void | CleanupStaleSessions ()
void | CleanupAllSessions ()
void | SetNotificationHandler (const NotificationHandler &handler)
void | ClearNotificationHandler ()
void | Notify (SessionId session_id, const string &message_type, const string &message_value)
ResourceResolver * | CreateResourceResolver (const ResourceType &type)
ResourceResolver * | CreateUserSpecificResourceResolver (const ResourceType &type)
ResourceResolver * | CreateDeployedResourceResolver (const ResourceType &type)
ResourceResolver * | CreateStagingResourceResolver (const ResourceType &type)
Deployer & | deployer ()
bool | disabled ()

## Static Public Member Functions
static Service & | instance ()

## Constructor & Destructor Documentation

## ◆ ~Service()

rime::Service::~Service | ( |  | ) |

## Member Function Documentation

## ◆ CleanupAllSessions()

void rime::Service::CleanupAllSessions | ( |  | ) |

## ◆ CleanupStaleSessions()

void rime::Service::CleanupStaleSessions | ( |  | ) |

## ◆ ClearNotificationHandler()

void rime::Service::ClearNotificationHandler | ( |  | ) |

## ◆ CreateDeployedResourceResolver()

ResourceResolver * rime::Service::CreateDeployedResourceResolver | ( | const ResourceType & | type | ) |

## ◆ CreateResourceResolver()

ResourceResolver * rime::Service::CreateResourceResolver | ( | const ResourceType & | type | ) |

## ◆ CreateSession()

SessionId rime::Service::CreateSession | ( |  | ) |

## ◆ CreateStagingResourceResolver()

ResourceResolver * rime::Service::CreateStagingResourceResolver | ( | const ResourceType & | type | ) |

## ◆ CreateUserSpecificResourceResolver()

ResourceResolver * rime::Service::CreateUserSpecificResourceResolver | ( | const ResourceType & | type | ) |

## ◆ deployer()

Deployer & rime::Service::deployer | ( |  | ) |
| inline

## ◆ DestroySession()

bool rime::Service::DestroySession | ( | SessionId | session_id | ) |

## ◆ disabled()

bool rime::Service::disabled | ( |  | ) |
| inline

## ◆ GetSession()

an< Session > rime::Service::GetSession | ( | SessionId | session_id | ) |

## ◆ instance()

Service & rime::Service::instance | ( |  | ) |
| static

## ◆ Notify()

void rime::Service::Notify | ( | SessionId | session_id,
|  | const string & | message_type,
|  | const string & | message_value )

## ◆ SetNotificationHandler()

void rime::Service::SetNotificationHandler | ( | const NotificationHandler & | handler | ) |

## ◆ StartService()

void rime::Service::StartService | ( |  | ) |

## ◆ StopService()

void rime::Service::StopService | ( |  | ) |

The documentation for this class was generated from the following files:

- service.h
- service.cc